/**
 * Created by : Julien Dubois.
 * Version : 2;
 * Update date : 13.05.2022
 */

/**
 * Cette fonction est appelée lorsque du chargement de la page du profil utilisateur
 *.elle a pour but de lancer la méthode GET_loadUserProfile() avec les valeurs du login.
 */
function loader() {
  GET_loadUserProfile(loadSucc, loadError);
}

/**
 * Cette fonction est appelé en cas de succès de la méthode GET_loadUserProfile().
 * Elle a pour but d'afficher les détails du compte utilisateur sur la page.
 * 
 * @param data le retour de la méthode GET_loadUserProfile() sous format XML.
 * @param text le status de l'opération de GET_loadUserProfile().
 * @param jqXHR les données en raw
 */
function loadSucc(data, text, jqXHR) {
  console.log("Loader SUCCESS [" + text + "]");
  document.getElementById("pseudo").value = $(data).find("pseudo").text();
  document.getElementById("nom").value = $(data).find("nom").text();
  document.getElementById("prenom").value = $(data).find("prenom").text();
  switch ($(data).find("bosscells").text()) {
    case "1":
      document.getElementById("bossCells").selectedIndex = 1;
      break;

    case "2":
      document.getElementById("bossCells").selectedIndex = 2;
      break;

    case "3":
      document.getElementById("bossCells").selectedIndex = 3;
      break;

    case "4":
      document.getElementById("bossCells").selectedIndex = 4;
      break;

    case "5":
      document.getElementById("bossCells").selectedIndex = 5;
      break;

    default:
      document.getElementById("bossCells").selectedIndex = 0;
      break;
  }
  switch ($(data).find("fkDLC").text()) {
    case "1":
      document.getElementById("RG").checked = true;
      break;

    case "2":
      document.getElementById("BS").checked = true;
      break;

    case "3":
      document.getElementById("FF").checked = true;
      break;

    case "4":
      document.getElementById("QS").checked = true;
      break;

    default:
      break;
  }

  if ($(data).find("runeLianes").text() == "true") {
    document.getElementById("RuneLianes").checked = true;
  }
  if ($(data).find("runeTP").text() == "true") {
    document.getElementById("RuneTeleportation").checked = true;
  }
  if ($(data).find("runeRam").text() == "true") {
    document.getElementById("RuneRam").checked = true;
  }
  if ($(data).find("runeSpider").text() == "true") {
    document.getElementById("RuneAraignee").checked = true;
  }
}

/**
 * Cette fonction est appelé en cas d'erreur de la méthode  GET_loadUserProfile().
 * Elle a pour but de mentionner l'erreur.
 * 
 * @param request le retour de la méthode  GET_loadUserProfile() sous format XML.
 * @param status le status de l'opération de  GET_loadUserProfile().
 * @param error l'erreur complète
 */
function loadError(request, status, error) {
  console.log("Loader FAILED [" + error + "]  Status : " + status);
}

/**
 * pas encore implémenté
 */
function saveChanges(){
    console.log("Not implemented yet");
}
